#!/bin/bash
base=$1
s=$2
i=$3
ppc=$4
thin_surface=$5
delta=$6
inv_sample=$7
gap=$8

(
    if [ $s == smaller_sphere ] ; then
        ./generate_data_analytic \
            -shape $s -seed $i \
            -o_prefix $base/$s.$i \
            -resolution 100 \
            -ppc $ppc \
            -gap $gap

    elif [ $thin_surface -eq 1 ]; then
        echo "is thin surface!"
        ./generate_data_analytic \
            -shape $s -seed $i \
            -o_prefix $base/$s.$i \
            -resolution 100 \
            -ppc $ppc \
            -enable_jitter \
            -thin_surface \
            -delta $delta \
            -gap $gap

    elif [ $inv_sample -eq 1 ]; then
        ./generate_data_analytic \
            -shape $s -seed $i \
            -o_prefix $base/$s.$i \
            -resolution 100 \
            -ppc $ppc \
            -inv_sample \
            -gap $gap
        
    else            
        ./generate_data_analytic \
            -shape $s -seed $i \
            -o_prefix $base/$s.$i \
            -resolution 100 \
            -ppc $ppc \
            -enable_jitter \
            -use_ip \
            -gap $gap            
    fi

qt=1000
[ $s = smaller_sphere ] && qt=500
[ $s = smaller_ring ] && qt=500
[ $s = triangle ] && qt=500
[ $s = segment ] && qt=500

./compute_features_moment \
    -seed 9$i -quota $qt\
    -i_grid $base/$s.$i.grid \
    -i_phi $base/$s.$i.phi \
    -i_xyz $base/$s.$i.xyz \
    -o_prefix $base/$s.$i \
    -prec 6 \
    -m0_r 3
 
) 
echo FINISH $base $s $i
